
Foreman - Bug #33653

undefined method `edit_provisioning_template_path` when viewing a host

10/06/2021 09:11 PM - Greg C

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 2.5.3, 2.5.4, 3.0.1, 3.1.1, 3.1.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

CentOS7, fully patched, 2.5.3.

Clicking on viewing any of my hosts (/hosts/somehostname) gets me a 500:

"Oops, we're sorry but something went wrong undefined method `edit_provisioning_template_path' for

#<#<Class:0x000000000af246d0>:0x0000000012ebcaa0> Did you mean? edit_environment_path"

ran the fetch_log:

root@foreman1$  foreman-rake errors:fetch_log request_id=35bd6dd6

`/usr/share/foreman` is not writable.

Bundler will use `/tmp/bundler20211006-625-fu6b4g625' as your home directory temporarily.

2021-10-06T21:05:02 [I|app|35bd6dd6] Started GET "/hosts/redactedhostname" for 10.48.1.2 at 2021-1

0-06 21:05:02 +0000

2021-10-06T21:05:02 [I|app|35bd6dd6] Processing by HostsController#show as HTML

2021-10-06T21:05:02 [I|app|35bd6dd6]   Parameters: {"id"=>"redactedhostname"}

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendering hosts/show.html.erb within layouts/application

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendered hosts/_init_config_tab.html.erb (Duration: 345.4ms

 | Allocations: 60023)

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendered hosts/show.html.erb within layouts/application (Du

ration: 413.9ms | Allocations: 79629)

2021-10-06T21:05:02 [W|app|35bd6dd6] undefined method `edit_provisioning_template_path' for #<#<Cl

ass:0x000000000af246d0>:0x0000000012ebcaa0>

 35bd6dd6 | Did you mean?  edit_environment_path

2021-10-06T21:05:02 [I|app|35bd6dd6] Backtrace for 'undefined method `edit_provisioning_template_p

ath' for #<#<Class:0x000000000af246d0>:0x0000000012ebcaa0>

 35bd6dd6 | Did you mean?  edit_environment_path' error (ActionView::Template::Error): undefined m

ethod `edit_provisioning_template_path' for #<#<Class:0x000000000af246d0>:0x0000000012ebcaa0>

 35bd6dd6 | Did you mean?  edit_environment_path

 35bd6dd6 | /usr/share/foreman/app/views/hosts/_init_config_tab.html.erb:16:in `_app_views_hosts__

init_config_tab_html_erb___3549982651607963319_61692500'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.r

b:274:in `_run'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:185:in `block in render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:182:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:385:in `instrument_render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:183:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/partial_renderer.rb:357:in `block in render_partial'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/abstract_renderer.rb:88:in `block in instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/
notifications.rb:180:in `block in instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications/instrumenter.rb:24:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/abstract_renderer.rb:87:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/partial_renderer.rb:346:in `render_partial'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/partial_renderer.rb:317:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/renderer.rb:65:in `render_partial_to_object'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/renderer.rb:53:in `render_partial'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helper

s/rendering_helper.rb:38:in `render'

 35bd6dd6 | /usr/share/foreman/app/helpers/pagelets_helper.rb:43:in `render_pagelet'

 35bd6dd6 | /usr/share/foreman/app/helpers/pagelets_helper.rb:26:in `block in render_tab_content_f

or'

 35bd6dd6 | /usr/share/foreman/app/helpers/pagelets_helper.rb:23:in `each'

 35bd6dd6 | /usr/share/foreman/app/helpers/pagelets_helper.rb:23:in `render_tab_content_for'

 35bd6dd6 | /usr/share/foreman/app/views/hosts/show.html.erb:76:in `_app_views_hosts_show_html_erb

__689005532505712650_61692100'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.r

b:274:in `_run'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:185:in `block in render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:182:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:385:in `instrument_render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/templa

te.rb:183:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/template_renderer.rb:58:in `block (2 levels) in render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/abstract_renderer.rb:88:in `block in instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `block in instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications/instrumenter.rb:24:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/abstract_renderer.rb:87:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/template_renderer.rb:57:in `block in render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/template_renderer.rb:65:in `render_with_layout'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/template_renderer.rb:56:in `render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/template_renderer.rb:13:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/renderer.rb:61:in `render_template_to_object'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

er/renderer.rb:29:in `render_to_object'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

ing.rb:117:in `block in _render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.r

b:304:in `in_rendering_context'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

ing.rb:116:in `_render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/streaming.rb:218:in `_render_template'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render
ing.rb:103:in `render_to_body'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rendering.rb:52:in `render_to_body'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/renderers.rb:142:in `render_to_body'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/rendering.rb:25:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rendering.rb:36:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:44:in `block (2 levels) in render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

core_ext/benchmark.rb:14:in `block in ms'

 35bd6dd6 | /opt/rh/rh-ruby27/root/usr/share/ruby/benchmark.rb:308:in `realtime'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

core_ext/benchmark.rb:14:in `ms'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:44:in `block in render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:84:in `cleanup_view_runtime'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/ra

ilties/controller_runtime.rb:34:in `cleanup_view_runtime'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:43:in `render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/implicit_render.rb:35:in `default_render'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/basic_implicit_render.rb:6:in `block in send_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/basic_implicit_render.rb:6:in `tap'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/basic_implicit_render.rb:6:in `send_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:195:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rendering.rb:30:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:42:in `block in process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:112:in `block in run_callbacks'

 35bd6dd6 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_

timezone'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 35bd6dd6 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 35bd6dd6 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in

 `set_topbar_sweeper_controller'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:139:in `run_callbacks'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:41:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rescue.rb:22:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:33:in `block in process_action'
 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `block in instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications/instrumenter.rb:24:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `instrument'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:32:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/params_wrapper.rb:245:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/ra

ilties/controller_runtime.rb:27:in `process_action'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:136:in `process'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

ing.rb:39:in `process'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:190:in `dispatch'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:254:in `dispatch'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:50:in `dispatch'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:33:in `serve'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:49:in `block in serve'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `each'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `serve'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:834:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_di

spatcher.rb:67:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dis

patcher.rb:66:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/

recorder.rb:137:in `call'

 35bd6dd6 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware

/checksum_in_headers.rb:27:in `call'

 35bd6dd6 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15

:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:27

:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ht

tp/content_security_policy.rb:18:in `call'

 35bd6dd6 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:266:in `context'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:260:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/cookies.rb:648:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:27:in `block in call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:101:in `run_callbacks'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:26:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/actionable_exceptions.rb:18:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/debug_exceptions.rb:32:in `call'
 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/show_exceptions.rb:33:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb

:37:in `call_app'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb

:28:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails

/quiet_assets.rb:13:in `call'

 35bd6dd6 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/remote_ip.rb:81:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/request_id.rb:27:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24

:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `cal

l'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

cache/strategy/local_cache_middleware.rb:29:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/executor.rb:14:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `c

all'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/host_authorization.rb:76:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/m

iddleware.rb:11:in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/engine.rb:527:

in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `public_send'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `method_missing'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `bloc

k in call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each

'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call

'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/configuration.rb:249:

in `call'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:77:in `blo

ck in handle_request'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in

 `with_force_shutdown'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:76:in `han

dle_request'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/server.rb:438:in `pro

cess_client'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in

 `block in spawn_thread'

 35bd6dd6 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_cont

ext.rb:474:in `block in create_with_logging_context'

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendering common/500.html.erb within layouts/application

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendered common/500.html.erb within layouts/application (Du

ration: 1.8ms | Allocations: 666)

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendered layouts/_application_content.html.erb (Duration: 0

.3ms | Allocations: 99)

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendering layouts/base.html.erb

2021-10-06T21:05:02 [I|app|35bd6dd6]   Rendered layouts/base.html.erb (Duration: 1.8ms | Allocatio

ns: 989)

2021-10-06T21:05:02 [I|app|35bd6dd6] Completed 500 Internal Server Error in 494ms (Views: 5.5ms | 

ActiveRecord: 33.9ms | Allocations: 113276)

Foreman version: 2.5.3
 I believe this is new after I went from 2.4.2 to 2.5.3 a few weeks ago, but apparently I didn't look at a host before just now.

History

#1 - 10/19/2021 05:58 PM - Greg C

- Found in Releases 2.5.4 added

#2 - 12/06/2021 12:33 AM - Adrian Nöthlich

- Found in Releases 3.0.1 added

Hi I have the same problem. It occurs even in a fresh installation of foreman from sources on Debian (Installation using puppet).

Is there any update regarding this problem?

Please state if you need more information.

Kind regards

Adrian

#3 - 03/11/2022 11:11 AM - Tim Vandevoort

- Found in Releases 3.1.1, 3.1.2 added

- Found in Releases deleted (2.5.3, 2.5.4, 3.0.1)

We have the same issue in Foreman v3.1.1 and v3.1.2.

We were able to solve it by changing the unattended setting from false to true in /etc/foreman/settings.yaml.

#4 - 03/11/2022 11:12 AM - Tim Vandevoort

- Found in Releases 2.5.3, 2.5.4, 3.0.1 added

#5 - 11/06/2022 04:35 AM - Greg C

- Status changed from New to Rejected

Probably related to my use of unattended.  Oh well.
